Botan 1.10.17

Namespaces | Macros
salsa20.cpp File Reference
`#include <botan/salsa20.h>`
`#include <botan/loadstor.h>`
`#include <botan/rotate.h>`
`#include <botan/internal/xor_buf.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | SALSA20_QUARTER_ROUND(x1, x2, x3, x4)

## Macro Definition Documentation

## ◆ SALSA20_QUARTER_ROUND

#define SALSA20_QUARTER_ROUND | ( |  | x1,
|  |  | x2,
|  |  | x3,
|  |  | x4
| ) |  |

Value:
do { \
x2 ^= rotate_left(x1 + x4, 7); \
x3 ^= rotate_left(x2 + x1, 9); \
x4 ^= rotate_left(x3 + x2, 13); \
x1 ^= rotate_left(x4 + x3, 18); \
} while(0)
Botan::rotate_left
T rotate_left(T input, size_t rot)
Definition: rotate.h:21

Definition at line 17 of file salsa20.cpp.